nav{
	display: table-cell;
	font-size: 14px;
	vertical-align:middle;
}

nav ul{
	margin: 0px;
	padding: 0px;
	text-align:right;	
}
/* Main Menu */
nav ul li{
	display: inline-block;
	cursor: pointer;
	outline: none;
	list-style-type: none;
}
nav ul li a{
	text-transform: uppercase;
	font-weight: bold;
	color: white;
	display: block;
	margin-top: 5px;
	padding: 0px 10px;
	text-decoration: none;
}
nav ul li a:hover{
	color: #ffc000;
	OPACITY:1;
}
	
/*on rollover */
nav ul li:focus .submenu,
nav ul li:hover .submenu{
	visibility: visible;
	opacity: 1;
	margin-top: 10px;
  
}

/* Sub Menu */
.submenu{
	opacity: 0;
	position: absolute;
	visibility: hidden;
	overflow: hidden;
	-webkit-transition: all 0.5s ease;
	-moz-transition: all 0.5s ease;
	-o-transition: all 0.5s ease;
	-ms-transition: all 0.5s ease;
	transition: all 0.5s ease;
	z-index: 99999;
	text-align: left;
	border-top-width: 3px;
	border-top-style: solid;
	border-top-color: #ffc000;
	padding: 10px;
	box-shadow: 0px 0px 5px #000;
	background-image: url(arrow.png);
	background-repeat: no-repeat;
	background-position: 40px top;
	background-color: rgba(0, 0, 0, 0.8);
}
.submenu a{
	font-weight: normal;
	display: block; /*change to inline-block for multi column*/
	padding: 5px 10px;
	color: white;
	text-decoration: none;
}

.submenu a:hover{
	opacity:1;
}

#toggle, 
#toggle + label{
	display:none;	
	text-align:right;
	cursor:pointer;
}

@media only screen and (max-width: 940px) {
	#toggle + label{
		display:table-cell;
	}

	nav{
		position: fixed;
		top: 0px;
		left: -1800px;
		z-index: 9999;
		height:100vh;
		width:auto;
		overflow:auto;
		-webkit-transition: all 0.2s ease;
		-moz-transition: all 0.2s ease;
		-o-transition: all 0.2s ease;
		-ms-transition: all 0.2s ease;
		transition: all 0.2s ease;
		background-color:#333333;
		padding: 10px;
		font-size:90%;
	}
	#toggle:checked ~ nav {
		left: 0px;
	}
	nav ul{
		text-align:left;
	}
	/* Main Menu */
	nav ul li{
		display:block;
	}

	nav ul li > .submenu{
		position: static;
		opacity:1;
		visibility:visible;
		margin-top:15px;
		background-color: #333333;
	}
}

